---@meta

---@class ABP_StoneLighting_Template_C : AB1GameObject
---@field UberGraphFrame FPointerToUberGraphFrame
---@field InteractionSlot UB1SlotComponent
---@field PointLight UPointLightComponent
---@field StaticMesh UStaticMeshComponent
---@field LFMaterial UMaterialInstanceDynamic
---@field LFNonGIMaterial UMaterialInstanceDynamic
---@field NonGILightOffset FVector
local ABP_StoneLighting_Template_C = {}

function ABP_StoneLighting_Template_C:ReceiveBeginPlay() end
---@param GlobalIlluminationQuality int32
function ABP_StoneLighting_Template_C:ReceiveGameOptionChanged(GlobalIlluminationQuality) end
---@param EntryPoint int32
function ABP_StoneLighting_Template_C:ExecuteUbergraph_BP_StoneLighting_Template(EntryPoint) end


